import http from '@/http'
// 待办中心列表
const centerList = {
  1: '/api/v1/todo-center/todo-list',
  2: '/api/v1/todo-center/ido-list',
  3: '/api/v1/todo-center/my-submitted-list',
  4: '/api/v1/todo-center/ccme-list'
}
export const toDoCenterList = (state, params) => http.get(centerList[state], { params })
export const exportExc = (state, data) => http.post(centerList[state] + '/export', data, { responseType: 'blob' })
export const progressDetail = params => http.get(`/api/v1/todo-center/progress/detail`, { params }) // 流程审核详情
export const projectDetail = id => http.get(`/api/v1/project/lib/${id}`) // 项目详情
export const handler = data => http.post('/api/v1/todo-center/handler', data) // 处理
export const adjustAndHandle = data => http.post('/api/v1/todo-center/adjustAndHandle', data) // 被退回项目内容调整并通过
export const notSealedPdf = data => http.post(`/api/v1/todo-center/getNotSealedPdf`, data) // 获取未盖章pdf
export const signSeal = data => http.post('/api/v1/todo-center/getSealedPdf', data) // 盖章
export const getTodoNums = params => http.get(`/api/v1/todo-center/getTodoNums`, { params }) // 待办数量统计
export const saveAuditOpinoin = data => http.post('/api/v1/todo-center/saveAuditOpinion', data) // 保存处理意见
export const changeRecordDetail = id => http.get(`/api/v1/project/lib/change-record/${id}`) // 项目历史版本变更字段详情
export const getConstructionSuggestions = data => http.post('/api/v1/construction/construction-suggestions', data) // 审批建设方案专家建议提交

